> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all payments

> List all payments



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /orders/payments
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/payments:
    get:
      tags:
        - Payments
      summary: List all payments
      description: List all payments
      operationId: list-payments
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/sortByOptions'
        - $ref: '#/components/parameters/columnBasedFilters'
        - $ref: '#/components/parameters/searchKeyword'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      payments:
                        type: array
                        items:
                          $ref: '#/components/schemas/Payment'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
    sortByOptions:
      name: sort_by
      in: query
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
    columnBasedFilters:
      name: filters
      in: query
      required: false
      schema:
        type: string
        example: >-
          {"condition":"AND","filters":[{"type":"data","field":"status","operator":"equals","value":"success"}]}
      description: JSON object
    searchKeyword:
      name: search
      in: query
      required: false
      schema:
        type: string
      description: search keyword
  schemas:
    Payment:
      title: Payment
      description: Common fields in inbound and refund payments.
      allOf:
        - $ref: '#/components/schemas/PaymentCommonFields'
        - $ref: '#/components/schemas/PaymentMethodDetail'
      x-tags:
        - Payments
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
    PaymentCommonFields:
      title: PaymentCommonFields
      description: Common fields in inbound and refund payments.
      type: object
      properties:
        transaction_type:
          enum:
            - payment
            - refund
        request_number:
          type: string
        transaction_date:
          type: string
          format: date-time
        transaction_amount:
          type: number
          format: double
        settled_amount:
          type: number
          format: double
          default: 0
        unsettled_amount:
          type: number
          format: double
          default: 0
        payment_method:
          enum:
            - Credit Card
            - Debit Card
            - Netbanking
            - UPI
            - Wallet
            - IMPS
            - NEFT
            - RTGS
            - NACH
        payment_reference_number:
          type: string
        payment_mode:
          enum:
            - bank-transfer
            - payment-gateway
            - nach-mandate
        payment_gateway:
          enum:
            - juspay
            - icici-ecollection
            - icici-cib
        status:
          $ref: '#/components/schemas/PaymentStatus'
        customer_id:
          type:
            - string
            - 'null'
        customer_name:
          type:
            - string
            - 'null'
      x-tags:
        - Payments
    PaymentMethodDetail:
      title: PaymentMethodDetail
      allOf:
        - type: object
          properties:
            icon_url:
              type: string
        - anyOf:
            - $ref: '#/components/schemas/PaymentMethodCard'
            - $ref: '#/components/schemas/PaymentMethodNb'
            - $ref: '#/components/schemas/PaymentMethodWallet'
            - $ref: '#/components/schemas/PaymentMethodUpi'
            - $ref: '#/components/schemas/PaymentMethodBankTransfer'
      x-tags:
        - Payments
    PaymentStatus:
      title: PaymentStatus
      enum:
        - pending
        - success
        - failed
        - partially_paid
        - refund_initiated
        - refunded
        - unsettled
        - settled
        - partially_settled
        - debit_scheduled
        - collection_due
    PaymentMethodCard:
      title: PaymentMethodCard
      type: object
      properties:
        card_number:
          type: string
        card_type:
          type: string
      x-tags:
        - Payments
    PaymentMethodNb:
      title: PaymentMethodNB
      type: object
      properties:
        bank_name:
          type: string
      x-tags:
        - Payments
    PaymentMethodWallet:
      title: PaymentMethodWallet
      type: object
      properties:
        wallet_name:
          type: string
      x-tags:
        - Payments
    PaymentMethodUpi:
      title: PaymentMethodUPI
      type: object
      properties:
        upi_id:
          type: string
      x-tags:
        - Payments
    PaymentMethodBankTransfer:
      title: PaymentMethodBankTransfer
      type: object
      properties:
        bank_account_number:
          type: string
        bank_name:
          type: string
      x-tags:
        - Payments
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````